Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Interface Joins

public interface Joins

Tracks joins made when traversing relations in a select.

Method Summary
`void` | `crossJoin(Table localTable, Table foreignTable)` Perform a cross join on the given tables.
`String` | `getColumnAlias(Column col)` Return the alias for the given column.
`Collection` | `getJoins()` Return the interal joins list.
`String` | `getTableAlias(Table table)` Return the alias for the given table.
`boolean` | `isEmpty()` Whether we have any joins.
`void` | `join(ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key.
`void` | `joinRelation(String name, ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key, which represents a relation via the given field name.
`void` | `outerJoin(ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key.
`void` | `outerJoinRelation(String name, ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key, which represents a relation via the given field name.
`void` | `setVariable(String var)` Set the variable name being traversed into with the next join.

Method Detail

### getJoins

    public Collection getJoins()

  Return the interal joins list.

### isEmpty

    public boolean isEmpty()

  Whether we have any joins.

### crossJoin

    public void crossJoin(Table localTable,
                          Table foreignTable)

  Perform a cross join on the given tables.

### join

    public void join(ForeignKey fk,
                     boolean inverse,
                     boolean toMany)

  Join the columns of the given foreign key.

### outerJoin

    public void outerJoin(ForeignKey fk,
                          boolean inverse,
                          boolean toMany)

  Join the columns of the given foreign key.

### joinRelation

    public void joinRelation(String name,
                             ForeignKey fk,
                             boolean inverse,
                             boolean toMany)

  Join the columns of the given foreign key, which represents a relation via the given field name.

### outerJoinRelation

    public void outerJoinRelation(String name,
                                  ForeignKey fk,
                                  boolean inverse,
                                  boolean toMany)

  Join the columns of the given foreign key, which represents a relation via the given field name.

### setVariable

    public void setVariable(String var)

  Set the variable name being traversed into with the next join.

### getColumnAlias

    public String getColumnAlias(Column col)

  Return the alias for the given column.

### getTableAlias

    public String getTableAlias(Table table)

  Return the alias for the given table.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.